Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.ws.impl
Class SOAPMessageContextImpl

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<String,Object>
              be.ehealth.technicalconnector.ws.impl.SOAPMessageContextImpl

All Implemented Interfaces:
  Serializable, Cloneable, Map<String,Object>, MessageContext, SOAPMessageContext

    public final class SOAPMessageContextImpl

extends HashMap<String,Object>
implements SOAPMessageContext

The Class SOAPMessageContextImpl.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

Nested classes/interfaces inherited from interface javax.xml.ws.handler.MessageContext
`MessageContext.Scope`

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Field Summary

Fields inherited from interface javax.xml.ws.handler.MessageContext
`HTTP_REQUEST_HEADERS, HTTP_REQUEST_METHOD, HTTP_RESPONSE_CODE, HTTP_RESPONSE_HEADERS, INBOUND_MESSAGE_ATTACHMENTS, MESSAGE_OUTBOUND_PROPERTY, OUTBOUND_MESSAGE_ATTACHMENTS, PATH_INFO, QUERY_STRING, REFERENCE_PARAMETERS, SERVLET_CONTEXT, SERVLET_REQUEST, SERVLET_RESPONSE, WSDL_DESCRIPTION, WSDL_INTERFACE, WSDL_OPERATION, WSDL_PORT, WSDL_SERVICE`

Constructor Summary
`SOAPMessageContextImpl(SOAPMessage soapMessage)` Instantiates a new SOAP message context impl.

Method Summary
`Object[]` | `getHeaders(QName paramQName, JAXBContext paramJAXBContext, boolean paramBoolean)`
`SOAPMessage` | `getMessage()`
`Set<String>` | `getRoles()`
`MessageContext.Scope` | `getScope(String paramString)`
`void` | `setMessage(SOAPMessage paramSOAPMessage)`
`void` | `setScope(String paramString, MessageContext.Scope paramScope)`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Constructor Detail

### SOAPMessageContextImpl

    public SOAPMessageContextImpl(SOAPMessage soapMessage)

  Instantiates a new SOAP message context impl.

  Parameters:
    `soapMessage` - the soap message

Method Detail

### getMessage

    public SOAPMessage getMessage()

  Specified by:
    `getMessage` in interface `SOAPMessageContext`

### setMessage

    public void setMessage(SOAPMessage paramSOAPMessage)

  Specified by:
    `setMessage` in interface `SOAPMessageContext`

### setScope

    public void setScope(String paramString,
                         MessageContext.Scope paramScope)

  Specified by:
    `setScope` in interface `MessageContext`

### getScope

    public MessageContext.Scope getScope(String paramString)

  Specified by:
    `getScope` in interface `MessageContext`

### getHeaders

    public Object[] getHeaders(QName paramQName,
                               JAXBContext paramJAXBContext,
                               boolean paramBoolean)

  Specified by:
    `getHeaders` in interface `SOAPMessageContext`

### getRoles

    public Set<String> getRoles()

  Specified by:
    `getRoles` in interface `SOAPMessageContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.27.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.